.tap-bar {
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 920;
    position: fixed;
    background: white;
    box-shadow: var(--shadow);

    &__main {
        position: relative;
    }

    &__nav {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__item {
        width: 20%;
        border: none;
        outline: none;
        flex-shrink: 0;
        display: block;
        cursor: pointer;
        position: relative;
        text-align: center;
        font-size: rem(10);
        line-height: rem(14);
        fill: var(--gray-50);
        color: var(--gray-50);
        stroke: var(--gray-50);
        text-decoration: none;
        background: transparent;
        padding: rem(12) 0 rem(20) 0;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(20);
            display: inline-block;
            margin-bottom: rem(4);
        }

        span {
            display: block;
        }

        &.active,
        &:hover {
            fill: var(--blue);
            color: var(--gray-50);
            stroke: var(--blue);
            text-decoration: none;
        }

        &--contact {

            &:before {
                bottom: 100%;
                left: calc(50% - 6px);
                z-index: 100;
                width: 16px;
                height: 12px;
                content: '';
                position: absolute;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTInIHZpZXdCb3g9JzAgMCAxNiAxMicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNOCAxMkwwIDBIMTZMOCAxMlonIGZpbGw9J3doaXRlJy8+PC9zdmc+");
                background-position: 50% 50%;
                background-repeat: no-repeat;
                background-size: cover;
                opacity: 0;
                visibility: hidden;
                transition: var(--transition-time);
            }

            &.active {

                &:before {
                    opacity: 1;
                    visibility: visible;
                    transition: var(--transition-time);
                }

            }
        }
    }

    @include media-breakpoint-up(md) {
        display: none;
    }
}

.contact-box {
    right: 0;
    width: 100%;
    max-width: rem(400);
    padding: rem(16);
    background: white;
    border-radius: rem(4);
    bottom: calc(100% + 0.75rem);
    box-shadow: var(--shadow);
    position: absolute;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition-time);

    &.open {
        opacity: 1;
        visibility: visible;
        transition: var(--transition-time);
    }

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(16);
    }

    &__message {
        display: flex;
        align-items: center;
        column-gap: rem(18);
        margin-bottom: rem(16);
    }
}

